/* PRE contactForm */
/* Formtools: Form Scripts */
/* Formtools JS */

// #### [formtools-obj]
if (typeof FormTools == 'undefined') {
    var FormTools = {
        VERSION: '22.4.12.dev',
        FORMTOOLS_PATH: './',
        FORMTOOLS_BASE_URL: './',
        FORMS_BASE_URL: '/forms/',
        EMAIL_TEMPLATES_PATH: './email_templates/',
    };
    FormGen.setEnv(FormTools);
}
// #### [formtools-obj]
FormGen.addForm('contact_form', {
    selector: '#contact_form',
    customChangeCBs: '[]',
    onPageValidations: true,
    inlineValidations: false,
    infieldLabels: true,
    usingSelectric : true,
});
// #### [debug]
var FORMTOOL_DEBUG_JS = false;

// #### [initial-values]
FormGen.Forms['contact_form'].initial_values = {"full-name":{"type":"text","value":""},"email":{"type":"email","value":""},"phone":{"type":"tel","value":""},"message":{"type":"textarea","value":""}};
FormGen.Forms['contact_form'].usingSelectric = true;
function contact_form_reset_field_values($) { FormGen.resetFieldValues('contact_form'); }
// #### [validation]
FormGen.initValidator('contact_form', {
    inlineValidations: false,
    onPageValidations: true,
    optionalRequired: false,
    perPageValidation: false
});
FormGen.validatorAddFieldValidation('contact_form', { field: 'full-name', page: 1, type: "req", response: "'Name' is required.", option: "", optional_req: false });
FormGen.validatorAddFieldValidation('contact_form', { field: 'full-name', page: 1, type: "maxlen=50", response: "'Name' can be no more than 50 characters.", option: "", optional_req: false });
FormGen.validatorAddFieldValidation('contact_form', { field: 'email', page: 1, type: "req", response: "'Email' is required.", option: "", optional_req: false });
FormGen.validatorAddFieldValidation('contact_form', { field: 'email', page: 1, type: "maxlen=50", response: "'Email' can be no more than 50 characters.", option: "", optional_req: false });
FormGen.validatorAddFieldValidation('contact_form', { field: 'email', page: 1, type: "email", response: "'Email' must be a valid email address.", option: "", optional_req: false });
FormGen.validatorAddFieldValidation('contact_form', { field: 'phone', page: 1, type: "req", response: "'Phone' is required.", option: "", optional_req: false });
FormGen.validatorAddFieldValidation('contact_form', { field: 'phone', page: 1, type: "maxlen=50", response: "'Phone' can be no more than 50 characters.", option: "", optional_req: false });
FormGen.validatorAddFieldValidation('contact_form', { field: 'message', page: 1, type: "req", response: "'How can we help you' is required.", option: "", optional_req: false });
FormGen.validatorAddFieldValidation('contact_form', { field: 'message', page: 1, type: "maxlen=1000", response: "'How can we help you' can be no more than 1000 characters.", option: "", optional_req: false });
frmvalidator_contact_form = { clearAllValidations: function() { FormGen.validatorClearAll('contact_form'); } };
function contact_form_initValidation(isNew, page) { FormGen.validatorInit('contact_form', isNew, page); }
function contact_form_reset_validations(page) { FormGen.validatorReset('contact_form', page); }
function contact_form_not_required_list() { return FormGen.getNotRequiredList('contact_form'); }
function contact_form_add_to_not_required_list(fieldname) { FormGen.addToNotRequiredList('contact_form', fieldname); }
function contact_form_remove_from_not_required_list(fieldname) { FormGen.removeFromNotRequiredList('contact_form', fieldname); }

FormGen.validatorInit('contact_form', true);
FormGen.validatorInitEditHandlers('contact_form');
// #### [ajax]
jQuery(function($) {
    FormGen.initAjaxSubmitHandler('contact_form',
        { preSubmitCallback: function() {  },
          msgSuccess: 'Thank you for your enquiry.',
          msgDelay: 10000,
          successCallback: function() {  },
          failCallback: function() {  }
        });
});
// #### [infield-labels]
jQuery('#contact_form label.infield').inFieldLabels({ fadeOpacity: 0.3 });

// #### [no-pager]
jQuery('#contact_form .page_wrapper').removeClass('hidden');
// #### [selectric]
jQuery(function($) {
    FormGen.selectricInit('contact_form');
});


/* Formtools: Field Scripts */
/* Formtools JS After */

// #### [contact_form_recaptcha_render]
var contact_form_recaptcha_onload_cb = function() { FormGen.loadReCaptcha('contact_form'); }
FormGen.addReCaptcha('contact_form', 1, '6Ldp2nYjAAAAABj0OHQBJUzH_8-NKvDT-6klOw2-', 'normal', 'light');


/* POST contactForm */
/* Formtools: Post-Form Scripts */
/* Formtools: Post-Field Scripts */
